// Pins werden deklariert
const int ledPin = 13;// Pin für die LED
const int sensorPin = 3; // Pin für den Neigungsschalter ("S" oder "OUT" auf der Platine)
// GND(Modul) an GND(Arduino)
// VCC(Modul) an 3.3V oder 5V(Arduino)

//Variablen werden deklariert
int sensorState; // Aktueller Status vom Sensor
int lastTiltState = HIGH; // Letzter Status vom Sensor
int sensorWert; // Variable um den Messwert einzulesen
unsigned long lastDebounceTime = 0; // Letzte Zeit als der Sensor ausgelöst wurde
unsigned long debounceDelay = 50; // Entprellwert in Milisekunden um Fehleingaben zu vermeiden

void setup()
{ 
  pinMode(ledPin,OUTPUT);// Initialisiere den LED Pin als Ausgang
  pinMode(sensorPin,INPUT); // Initialisiere den Neigungsschalter als Eingang
  digitalWrite(sensorPin, HIGH); // Setze den Neigungsschalter auf HIGH
  digitalWrite(ledPin,LOW); // Setze die LED auf LOW
  Serial.begin(9600); // Serielle Verbindung mit Baud 9600 öffnen
} 

void loop() {
sensorWert = digitalRead(sensorPin); // Sensorwert lesen
// Debounce (Entprellen) vom Sensorwert, um Fehleingaben zu verhindern
if (sensorWert == lastTiltState) {
// Debounce timer zurücksetzen
lastDebounceTime = millis();
}
if ((millis() - lastDebounceTime) > debounceDelay) {
// Wenn der Sensorwert länger vorhanden ist als der Debounce Delay, wird der Sensorwert übernommen
lastTiltState = sensorWert;
}
//Wenn der Sensorwert 1 (HIGH) ist, dann wird die LED eingeschaltet. Ansonsten ist die LED aus
if (sensorWert == 1) { 
    digitalWrite(ledPin,HIGH);// LED einschalten
  }
  else
  {
    digitalWrite(ledPin,LOW);// LED ausschalten 
  }
  Serial.println(sensorWert); // Ausgabe vom Sensorwert
  delay(500);
}
